<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
	
	<!--Define the format of the output document -->
	<xsl:output method="xml" indent="yes" encoding="UTF-8" />
	
	<!--Take all documents name -->
	<xsl:variable name="docs" select="/*/doc"/>
	
	<xsl:template match="mergeDocs">
		<xsl:apply-templates select="doc[1]"/>
	</xsl:template>
	
	<!--Match the first doc to create the topmost element -->
	<xsl:template match="doc">
		<xsl:variable name="path" select="@path"/>
		<xsl:for-each select="document($path)/*">
			<xsl:copy>
				<!-- Merge children of first document -->
				<xsl:copy-of select="@*"/>
				<xsl:copy-of select="*"/>
				<!--Loop over remaining docs to merge their children -->
				<xsl:for-each select="$docs[position( ) > 1]">
					<xsl:copy-of select="document(@path)/*/*"/>
				</xsl:for-each>
			</xsl:copy>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
